-- Chcemy, żeby budżet dla danego działu to była suma pensji pracowników

create table dzial( dzialid int primary key, nazwa varchar(20), budzet decimal(10,2) );
create table pracownik( pracownikid int primary key, dzialid int references dzial(dzialid), nazwisko varchar(20), imie varchar(20), pensja decimal(10,2) );

begin
  insert into dzial values( 1, 'IT', 4000.00 );
  insert into dzial values( 2, 'HR', 0.00 );
  insert into pracownik values( 1, 1, 'Kowalski', 'Jan', 2500.00 );
  insert into pracownik values( 2, 1, 'Nowak', 'Jerzy', 1500.00 );
end;

select * from pracownik;
select * from dzial;
select dzialid, sum(pensja) suma from pracownik where dzialid=(select max(dzialid) from pracownik where pracownikid=1) group by dzialid;